
QGIS Application - Bug report #6730

Layer properties window expands to much wider than the screen if layer has a very long field name

2012-11-19 02:39 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15894

Description

- Load a layer with a very long field name, like the one attached.  I think the most likely way you will encounter this in real life is when you

join layers.

- Open the layer properties.  Unless you have a very wide screen, or very small system fonts, the layer properties window should be wider

than your screen.  I'm guessing the problem is with the drop down list next to the "Insert field" button on the "Actions" tab.

- Bonus: try to resize the oversize layer properties window with the mouse.  At least on Windows, it will probably disappear, but not close

(so you can't do anything in the main QGIS window).  You will need to press escape.  If that doesn't work, click in the main QGIS window

and then press escape.

History

#1 - 2012-11-19 02:45 PM - Alister Hood

- File long_names.csv added

Oh, another place with the same problem is the Field calculator, due to the drop-down box for selecting an existing field to update.  Since QGIS csv

support is read-only you won't be able to demonstrate that with the attached layer unless you join it to a shapefile layer or something

#2 - 2012-11-19 02:55 PM - Alister Hood

Note that other parts of the gui truncate field names with a "..." 

Unfortunately they just truncate the end of the layer name (look in the "Advanced Search"/"Search query builder" dialog for example).  This means that

often you can't distinguish between the different fields from a joined layer.  In some cases (like the search query builder) the behaviour could perhaps be

improved by using horizontal scroll bars and more intelligent resizing of dialogs.

#3 - 2016-01-20 04:09 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

on QGIS 2.13 master, I have not this problem anymore: opening the csv's fields panel just display a dialog box with an horizontal scrollbar.

Can you confirm ?

#4 - 2016-01-21 04:38 PM - Alister Hood
Yes, this is fixed.  Although because the table scrolls by cell, if the field name is more than twice as wide as the visible space, you can't read what is in the

middle of the cell, unless you drag to resize the cell smaller, in which case if the font is small enough it wraps the contents, but only to two lines, so if the

field name is still too long it cuts off the end!

I think this is enough of a corner case that I wouldn't really worry about these issues - the oversize dialog was more of a real problem.

#5 - 2016-04-09 11:40 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

long_names.csv 390 Bytes 2012-11-19 Alister Hood
